databaseChangeLog:
  - changeSet:
      id: 0
      author: Giovanni Frison
      changes:
        - createTable:
            tableName: identity_attribute
            columns:
              - column:
                  name: id
                  type: UUID
                  constraints:
                    primaryKey: true
              - column:
                  name: code
                  type: VARCHAR(255)
                  constraints:
                    nullable: false
                    unique: true
              - column:
                  name: name
                  type: VARCHAR(255)
                  constraints:
                    nullable: false
                    unique: true
              - column:
                  name: description
                  type: VARCHAR(255)
              - column:
                  name: assignable_to_roles
                  type: BOOLEAN
                  constraints:
                    nullable: false
              - column:
                  name: enabled
                  type: BOOLEAN
                  constraints:
                    nullable: false
              - column:
                  name: assigned_to_participant
                  type: BOOLEAN
                  constraints:
                    nullable: false
              - column:
                  name: creation_timestamp
                  type: timestamp with time zone
                  constraints:
                    nullable: false
              - column:
                  name: update_timestamp
                  type: timestamp with time zone

  - changeSet:
      id: 1
      author: Giovanni Frison
      changes:
        - createTable:
            tableName: identity_attribute_participant_type
            columns:
              - column:
                  name: identity_attribute_id
                  type: UUID
                  constraints:
                    primaryKey: true
                    referencedTableName: identity_attribute
                    referencedColumnNames: id
                    foreignKeyName: identity_attribute_participant_type_identity_attribute_id
              - column:
                  name: participant_type
                  type: VARCHAR(255)
                  constraints:
                    primaryKey: true